Bug 155109 - Boot hangs after kernel upgrade
Boot hangs after kernel upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 155110 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-16 08:18 EDT by Klaus-Peter Schrage
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus-Peter Schrage 2005-04-16 08:18:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Boot hangs during hardware initialization after displaying:
'Initializing hardware... storage network audio'

Trying to get into interactive mode by pressing 'i' doesn't help.

This behaviour is similar to the one described in Bug 145903, but it shows up for the first time now after upgrading to the recent kernel. I've done plenty of kernel upgrades before on this machine after installing fc3 without this problem. This machine's software is up to date. 

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to kernel-2.6.11-1.14_FC3
2. Boot
3. Enjoy
  

Actual Results:  see above

Expected Results:  Boot should continue

Additional info:

A brute workaround was booting from a rescue cd and hatching out the following lines in /etc/rc.d/rc.sysinit:

# Everything else (duck and cover)
for module in $other ; do
       load_module $module
#done
Comment 1 Dave Jones 2005-04-16 14:50:00 EDT
could you try the following please ?

mv /sbin/modprobe /sbin/modprobe.real

and make a script /sbin/modprobe which is..

#!/bin/bash
echo $@
sleep 1
/sbin/modprobe.real $@

and see what the last thing it prints out before the hang is ?
Comment 2 Dave Jones 2005-04-16 15:16:09 EDT
*** Bug 155110 has been marked as a duplicate of this bug. ***
Comment 3 Klaus-Peter Schrage 2005-04-16 17:05:54 EDT
Did as suggested by Dave, and strange enough, the boot process continued the
normal way with the modified /sbin/modprobe.
Reverting to the original modprobe and rebooting produced a hang again.
Changing to the modprobe script again made the boot process continue ...
  
Comment 4 Dave Jones 2005-04-16 17:07:56 EDT
damn, this sounds very familiar to another recent bug (dont have the bugzilla #
handy right now).  What about if you remove the 'sleep 1' ?
Comment 5 Klaus-Peter Schrage 2005-04-16 18:19:49 EDT
it hangs again!
Comment 6 Dave Jones 2005-04-16 18:20:27 EDT
did it print out a module name before it hung ?
Comment 7 Klaus-Peter Schrage 2005-04-16 19:35:58 EDT
no, stopped after displaying 'audio'
Comment 8 Klaus-Peter Schrage 2005-04-17 08:53:10 EDT
I've found a way to print out the module before it hangs:
In etc/rc.d/rc.sysinit, I added line 213 saying:
   echo $module
(inside the above mentioned for-loop), and there I got as last module before the
hang:
uhci-hcd (right after ehci-hcd).

Then I reverted to the script version of modprobe (to be able to boot into fc3),
and I found out that uhci-hcd was printed out for at least three times - not
sure if that might be a clue ...
Comment 9 Sitsofe Wheeler 2005-04-17 15:10:22 EDT
Wow that uhci-hcd thing sounds really similar to bug 149171 ... Perhaps I should
try that sleep 1 thing...
Comment 10 Sitsofe Wheeler 2005-04-17 15:14:06 EDT
davej: was the bug you were thinking of bug #154650 ?
Comment 11 Terry Barnaby 2005-05-08 02:09:22 EDT
Just to say I have exactly the same problem on one of my systems. 3 systems are
fine one fails exactly as this bug states. The kernel is locked hard (The PS/2
keyboard Numlock lights don't toggle etc). This system has an older Celeron
900MHz Motherboard. Olny special devices are two DVB-T cards.
2.6.10-1.770_FC3 is fine. Lspci reports:

00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 22)
00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 10)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 10)
00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 10)
00:07.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 30)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 Audio
Controller (rev 20)
00:09.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
00:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0c.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 11)
00:0c.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage XL AGP 2X (rev 27)
Comment 12 Klaus-Peter Schrage 2005-05-31 14:00:35 EDT
FWIW: The problem persists after upgrading to kernel 2.6.11-1.27_FC3, and the
'solution' as described in comment #3 still works. 
Comment 13 Dave Jones 2005-07-15 16:44:26 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 14 Klaus-Peter Schrage 2005-07-27 11:42:55 EDT
It is but now that I was able to change to 2.6.12-1.1372_FC3 - sorry, no joy
with respect to the reported problem. The init process still seems to hang at
uhci-hcd.
Comment 15 Dave Jones 2006-01-16 17:34:54 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 16 Dave Jones 2006-02-03 02:31:13 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 17 John Thacker 2006-05-04 09:41:12 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.